<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:portfolios="http://typo3.org/ns/CodingMs/Portfolios/ViewHelpers">
	<f:layout name="Default" />
	<f:section name="Main">

		<div class="portfolios-list portfolios-list-{f:format.case(mode: 'lower', value: settings.displayType)}">

			<f:if condition="{settings.headline}">
				<h1 class="portfolios-list-headline">{settings.headline}</h1>
			</f:if>

			<f:if condition="{f:count(subject: settings.filter.fields)}">
				<div class="portfolios-list-filter">
					<f:form class="form-inline" action="list">
						<f:for each="{settings.filter.fields}" as="filterField">
							<f:render partial="Portfolio/List/Filter/{filterField}" arguments="{_all}" section="Default" />
						</f:for>
					</f:form>
				</div>
			</f:if>
			<!-- @todo sorting select -->

			<div class="portfolio-list-actions">

				<f:if condition="{settings.bookmarks.active} && {settings.pro}">
					<portfolios:variable.set name="bookmarksDisabled" value="disabled" />
					<f:if condition="{session.bookmarks.count} > 0">
						<portfolios:variable.set name="bookmarksDisabled" value="" />
					</f:if>

					<f:link.action pageUid="{settings.bookmarks.pageUid}" title="Portfolio bookmarks"
								   class="btn btn-primary bookmarks-button">
						<i class="fa fa-bookmark"></i>
						<span class="bookmarks-button-label"><f:translate key="tx_portfolios_label.bookmarks_button" /></span>
						<span class="badge">
							<span class="bookmarks-item-count">{f:count(subject: session.bookmarks.items)}</span>
						</span>
					</f:link.action>

				</f:if>

			</div>

			<div class="portfolios-list-items">
				<f:if condition="{f:count(subject: portfolios)}">
					<f:then>
						<portfolios:variable.set name="isotope" value="" />
						<f:if condition="{settings.list.layout} == 'Isotope'">
							<portfolios:variable.set name="isotopeConfiguration">{"itemSelector": ".portfolio-item", "layoutMode": "fitRows"}</portfolios:variable.set>
							<portfolios:variable.set name="isotope">data-isotope='{isotopeConfiguration}'</portfolios:variable.set>
						</f:if>
						<div class="card-{f:format.case(mode: 'lower', value: settings.list.layout)}" {isotope->f:format.raw()}>
							<f:for each="{portfolios}" as="portfolio" iteration="itemIteration">
								<f:render partial="Portfolio/List/Item/{settings.displayType}" section="Default"
										  arguments="{portfolio: portfolio, settings: settings, session: session}" />
							</f:for>
						</div>
					</f:then>
					<f:else>
						<div class="alert alert-info"><f:translate key="tx_portfolios_message.info_no_portfolios_found" /></div>
					</f:else>
				</f:if>
			</div>

		</div>

	</f:section>
</div>
